13 endpoints · Base URL https://agakural.online · All endpoint groups
GET /newsletters
Get newsletters. Authenticate with your channel token.
curl -X GET https://agakural.online/newsletters \
-H "Authorization: Bearer $TOKEN"
POST /newsletters
Create newsletters. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| name | body | string | Yes | Up to 100 characters |
|---|
| description | body | string | No | Up to 2048 characters |
|---|
curl -X POST https://agakural.online/newsletters \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "name"}'
DELETE /newsletters/{id}
Delete a newsletters. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| id | path | string | Yes | |
|---|
curl -X DELETE https://agakural.online/newsletters/{id} \
-H "Authorization: Bearer $TOKEN"
GET /newsletters/{id}
Get one newsletter. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| id | path | string | Yes | |
|---|
curl -X GET https://agakural.online/newsletters/{id} \
-H "Authorization: Bearer $TOKEN"
PATCH /newsletters/{id}
Update a newsletters. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| id | path | string | Yes | |
|---|
| name | body | string | No | Up to 100 characters |
|---|
| description | body | string | No | Up to 2048 characters |
|---|
curl -X PATCH https://agakural.online/newsletters/{id} \
-H "Authorization: Bearer $TOKEN"
GET /newsletters/{id}/messages
Get newsletters messages. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| count | query | integer | No | Range 1–100 |
|---|
| id | path | string | Yes | |
|---|
curl -X GET https://agakural.online/newsletters/{id}/messages \
-H "Authorization: Bearer $TOKEN"
DELETE /newsletters/{id}/subscription
Delete newsletters subscription. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| id | path | string | Yes | |
|---|
curl -X DELETE https://agakural.online/newsletters/{id}/subscription \
-H "Authorization: Bearer $TOKEN"
POST /newsletters/{id}/subscription
Create newsletters subscription. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| id | path | string | Yes | |
|---|
curl -X POST https://agakural.online/newsletters/{id}/subscription \
-H "Authorization: Bearer $TOKEN"
GET /newsletters/invite/{code}
Get one newsletters invite. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| code | path | string | Yes | |
|---|
curl -X GET https://agakural.online/newsletters/invite/{code} \
-H "Authorization: Bearer $TOKEN"
GET /stories
Get stories. Authenticate with your channel token.
curl -X GET https://agakural.online/stories \
-H "Authorization: Bearer $TOKEN"
GET /stories/{id}
Get one storie. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| id | path | string | Yes | |
|---|
curl -X GET https://agakural.online/stories/{id} \
-H "Authorization: Bearer $TOKEN"
POST /stories/send/media
Create stories send media. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| media | body | string | Yes | |
|---|
| caption | body | string | No | Up to 700 characters |
|---|
| type | body | object | No | One of: image, video |
|---|
| contacts | body | array of string | No | |
|---|
curl -X POST https://agakural.online/stories/send/media \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"media": "media"}'
POST /stories/send/text
Create stories send text. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|
| body | body | string | Yes | Up to 700 characters |
|---|
| background_color | body | string | No | |
|---|
| font | body | integer | No | Range 0–9 |
|---|
| contacts | body | array of string | No | |
|---|
curl -X POST https://agakural.online/stories/send/text \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"body": "body"}'